package com.tutego.insel.exception;

public class AssertKeyword
{
  public static int div( int divident, int divisor )
  {
    assert divisor != 0 : "Oh bitte keine Zahl durch Null teilen.";

    return divident / divisor;
  }

  public static void main( String[] args )
  {
    System.out.println( "Quotient ist " + div(10, 2) );

    System.out.println( "Quotient ist " + div(10, 0) );
  }
}
